ghc-7.0.3: The GHC API

CmmLive

Synopsis

- type CmmLive = UniqSet LocalReg
- type BlockEntryLiveness = BlockEnv CmmLive
- cmmLiveness :: [CmmBasicBlock] -> BlockEntryLiveness
- cmmFormalsToLiveLocals :: HintedCmmFormals -> [LocalReg]

# Documentation

type CmmLive = UniqSet LocalReg

The variables live on entry to a block

type BlockEntryLiveness = BlockEnv CmmLive

A mapping from block labels to the variables live on entry

cmmLiveness :: [CmmBasicBlock] -> BlockEntryLiveness

Calculated liveness info for a list of `CmmBasicBlock`

cmmFormalsToLiveLocals :: HintedCmmFormals -> [LocalReg]